services:
  tailchat:
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    image: moonrailgun/tailchat:1.11.10
    networks:
      - opsmind-network
    environment:
      - SERVICEDIR=services,plugins
      - LOGGER=true
      - LOGLEVEL=info
      - PORT=11000
      - REDIS_URL=redis://:${PANEL_REDIS_ROOT_PASSWORD}@${PANEL_DB_HOST}:6379
      - TRANSPORTER=redis://:${PANEL_REDIS_ROOT_PASSWORD}@${PANEL_DB_HOST}:6379
      - MONGO_URL=mongodb://${PANEL_DB_ROOT_USER}:${PANEL_DB_ROOT_PASSWORD}@${MONGO_HOST}:27017/${MONGO_DB}?authSource=admin
      - MINIO_URL=${MINIO_HOST}:9000
      - MINIO_USER=${PANEL_MINIO_ROOT_USER}
      - MINIO_PASS=${PANEL_MINIO_ROOT_PASSWORD}
      - SMTP_SENDER=${SMTP_SENDER}
      - SMTP_URI=${SMTP_URI}
      - SECRET=${SECRET}
      - API_URL=${API_URL}
    ports:
      - ${PANEL_APP_PORT_HTTP}:11000
    labels:
      createdBy: "Apps"
  tailchat-admin:
    container_name: ${CONTAINER_NAME}-admin
    restart: unless-stopped
    image: moonrailgun/tailchat:1.11.10
    networks:
      - opsmind-network
    environment:
      - ADMIN_PORT=3000
      - ADMIN_USER=${ADMIN_USERNAME}
      - ADMIN_PASS=${ADMIN_PASSWORD}
      - LOGGER=true
      - LOGLEVEL=info
      - REDIS_URL=redis://:${PANEL_REDIS_ROOT_PASSWORD}@${PANEL_DB_HOST}:6379
      - TRANSPORTER=redis://:${PANEL_REDIS_ROOT_PASSWORD}@${PANEL_DB_HOST}:6379
      - MONGO_URL=mongodb://${PANEL_DB_ROOT_USER}:${PANEL_DB_ROOT_PASSWORD}@${MONGO_HOST}:27017/${MONGO_DB}?authSource=admin
      - MINIO_URL=${MINIO_HOST}:9001
      - MINIO_USER=${PANEL_MINIO_ROOT_USER}
      - MINIO_PASS=${PANEL_MINIO_ROOT_PASSWORD}
      - SMTP_SENDER=${SMTP_SENDER}
      - SMTP_URI=${SMTP_URI}
      - SECRET=${SECRET}
      - API_URL=${API_URL}
    ports:
      - ${PANEL_APP_PORT_ADMIN}:3000
    labels:
      createdBy: "Apps"
    command: pnpm start:admin
networks:
  opsmind-network:
    external: true
